
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅谈数据库设计技巧(下) / iVAN</title>

    <meta name="description" content="浅谈数据库设计技巧(下) 技巧|设计|数据|数据库|数据库设计 三.多用户及其权限管理的设计 开发数据库管理类的软件,不可能不考虑多用户和用户权限设置的问题.尽管目前市面上的大.中型的后台数据库系统软件都提供了多用户,以及细至某个数据库内某张表的权限设置的功能,我个人建议:一套成熟的数据库管理软件,还是应该自行设计用户管理这块功能,原因有二: 1.那些大.中型后台数据库系统软件所提供的多用户及其权限设置都是针对数据库的共有属性,并不一定能完全满足某些特例的需求: 2.不要过多的依赖后台数据库系统软件的某些特殊功能,多种大">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅谈数据库设计技巧(下)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>技巧|设计|数据|数据库|数据库设计</p>
<p>三、多用户及其权限管理的设计<br />　　开发数据库管理类的软件，不可能不考虑多用户和用户权限设置的问题。尽管目前市面上的大、中型的后台数据库系统软件都提供了多用户，以及细至某个数据库内某张表的权限设置的功能，我个人建议：一套成熟的数据库管理软件，还是应该自行设计用户管理这块功能，原因有二：<br />　　1.那些大、中型后台数据库系统软件所提供的多用户及其权限设置都是针对数据库的共有属性，并不一定能完全满足某些特例的需求；<br />　　2.不要过多的依赖后台数据库系统软件的某些特殊功能，多种大、中型后台数据库系统软件之间并不完全兼容。否则一旦日后需要转换数据库平台或后台数据库系统软件版本升级，之前的架构设计很可能无法重用。<br />　　下面看看如何自行设计一套比较灵活的多用户管理模块，即该数据库管理软件的系统管理员可以自行添加新用户，修改已有用户的权限，删除已有用户。首先，分析用户需求，列出该数据库管理软件所有需要实现的功能；然后，根据一定的联系对这些功能进行分类，即把某类用户需使用的功能归为一类；最后开始建表：<br />　　<br />功能表(Function_table)<br />名称　　　　　类型　　　　约束条件　　　说明<br />f_id          int    　   无重复　　   功能标识，主键<br />f_name        char(20)    不允许为空   功能名称，不允许重复<br />f_desc        char(50)    允许为空     功能描述</p>
<p>用户组表(User_group)<br />名称　　　　　类型　　　　约束条件　　　说明<br />group_id      int         无重复        用户组标识，主键<br />group_name    char(20)    不允许为空    用户组名称<br />group_power   char(100)   不允许为空    用户组权限表，内容为功能表f_id的集合</p>
<p>用户表(User_table)<br />名称　　　　　类型　　　　约束条件　　　说明<br />user_id       int         无重复        用户标识，主键<br />user_name     char(20)    无重复        用户名<br />user_pwd      char(20)    不允许为空    用户密码<br />user_type     int         不允许为空    所属用户组标识，和User_group.group_id关联</p>
<p>　　采用这种用户组的架构设计，当需要添加新用户时，只需指定新用户所属的用户组；当以后系统需要添加新功能或对旧有功能权限进行修改时，只用操作功能表和用户组表的记录，原有用户的功能即可相应随之变化。当然，这种架构设计把数据库管理软件的功能判定移到了前台，使得前台开发相对复杂一些。但是，当用户数较大(10人以上)，或日后软件升级的概率较大时，这个代价是值得的。</p>
<p>　　四、简洁的批量m:n设计<br />　　碰到m:n的关系，一般都是建立3个表，m一个，n一个，m:n一个。但是，m:n有时会遇到批量处理的情况，例如到图书馆借书，一般都是允许用户同时借阅n本书，如果要求按批查询借阅记录，即列出某个用户某次借阅的所有书籍，该如何设计呢？让我们建好必须的3个表先：</p>
<p>书籍表(Book_table)<br />名称　　　　　类型　　　　约束条件　　　说明<br />book_id       int         无重复        书籍标识，主键<br />book_no       char(20)    无重复        书籍编号<br />book_name     char(100)   不允许为空    书籍名称<br />……</p>
<p>借阅用户表(Renter_table)<br />名称　　　　　类型　　　　约束条件　　　说明<br />renter_id     int         无重复        用户标识，主键<br />renter_name   char(20)    不允许为空    用户姓名<br />……</p>
<p>借阅记录表(Rent_log)<br />名称　　　　　类型　　　　约束条件　　　说明<br />rent_id       int         无重复        借阅记录标识，主键<br />r_id          int         不允许为空    用户标识，和Renter_table.renter_id关联<br />b_id          int         不允许为空    书籍标识，和Book_table.book_id关联<br />rent_date     datetime    不允许为空    借阅时间<br />……</p>
<p>　　为了实现按批查询借阅记录，我们可以再建一个表来保存批量借阅的信息，例如：</p>
<p>批量借阅表(Batch_rent)<br />名称　　　　　类型　　　　约束条件　　　说明<br />batch_id      int         无重复        批量借阅标识，主键<br />batch_no      int         不允许为空    批量借阅编号，同一批借阅的batch_no相同<br />rent_id       int         不允许为空    借阅记录标识，和Rent_log.rent_id关联<br />batch_date    datetime    不允许为空    批量借阅时间</p>
<p>　　这样的设计好吗？我们来看看为了列出某个用户某次借阅的所有书籍，需要如何查询？首先检索批量借阅表(Batch_rent)，把符合条件的的所有记录的rent_id字段的数据保存起来，再用这些数据作为查询条件带入到借阅记录表(Rent_log)中去查询。那么，有没有什么办法改进呢？下面给出一种简洁的批量设计方案，不需添加新表，只需修改一下借阅记录表(Rent_log)即可。修改后的记录表(Rent_log)如下：</p>
<p>借阅记录表(Rent_log)<br />名称　　　　　类型　　　　约束条件　　　说明<br />rent_id       int         无重复        借阅记录标识，主键<br />r_id          int         不允许为空    用户标识，和Renter_table.renter_id关联<br />b_id          int         不允许为空    书籍标识，和Book_table.book_id关联<br />batch_no      int         不允许为空    批量借阅编号，同一批借阅的batch_no相同<br />rent_date     datetime    不允许为空    借阅时间<br />……</p>
<p>　　其中，同一次借阅的batch_no和该批第一条入库的rent_id相同。举例：假设当前最大rent_id是64，接着某用户一次借阅了3本书，则批量插入的3条借阅记录的batch_no都是65。之后另外一个用户租了一套碟，再插入出租记录的rent_id是68。采用这种设计，查询批量借阅的信息时，只需使用一条标准T_SQL的嵌套查询即可。当然，这种设计不符合3NF，但是和上面标准的3NF设计比起来，哪一种更好呢？答案就不用我说了吧。</p>
<p>　　五、冗余数据的取舍<br />　　上篇的“树型关系的数据表”中保留了一个冗余字段，这里的例子更进一步——添加了一个冗余表。先看看例子：我原先所在的公司为了解决员工的工作餐，和附近的一家小餐馆联系，每天吃饭记账，费用按人数平摊，月底由公司现金结算，每个人每个月的工作餐费从工资中扣除。当然，每天吃饭的人员和人数都不是固定的，而且，由于每顿工作餐的所点的菜色不同，每顿的花费也不相同。例如，星期一中餐5人花费40元，晚餐2人花费20，星期二中餐6人花费36元，晚餐3人花费18元。为了方便计算每个人每个月的工作餐费，我写了一个简陋的就餐记账管理程序，数据库里有3个表：</p>
<p>员工表(Clerk_table)<br />名称　　　　　类型　　　　约束条件　　　说明<br />clerk_id      int         无重复        员工标识，主键<br />clerk_name    char(10)    不允许为空    员工姓名</p>
<p>每餐总表(Eatdata1)<br />名称　　　　　类型　　　　约束条件　　　说明<br />totle_id      int         无重复        每餐总表标识，主键<br />persons       char(100)   不允许为空    就餐员工的员工标识集合<br />eat_date      datetime    不允许为空    就餐日期<br />eat_type      char(1)     不允许为空    就餐类型，用来区分中、晚餐<br />totle_price   money       不允许为空    每餐总花费<br />persons_num   int         不允许为空    就餐人数</p>
<p>就餐计费细表(Eatdata2)<br />名称　　　　　类型　　　　约束条件　　　说明<br />id            int         无重复        就餐计费细表标识，主键<br />t_id          int         不允许为空    每餐总表标识，和Eatdata1.totle_id关联<br />c_id          int         不允许为空    员工标识标识，和Clerk_table.clerk_id关联<br />price         money       不允许为空    每人每餐花费</p>
<p>　　其中，就餐计费细表(Eatdata2)的记录就是把每餐总表(Eatdata1)的一条记录按就餐员工平摊拆开，是个不折不扣的冗余表。当然，也可以把每餐总表(Eatdata1)的部分字段合并到就餐计费细表(Eatdata2)中，这样每餐总表(Eatdata1)就成了冗余表，不过这样所设计出来的就餐计费细表重复数据更多，相比来说还是上面的方案好些。但是，就是就餐计费细表(Eatdata2)这个冗余表，在做每月每人餐费统计的时候，大大简化了编程的复杂度，只用类似这么一条查询语句即可统计出每人每月的寄餐次数和餐费总帐：</p>
<p>SELECT clerk_name AS personname,COUNT(c_id) as eattimes,SUM(price) AS ptprice FROM Eatdata2 JOIN Clerk_tabsle ON (c_id=clerk_id) JOIN eatdata1 ON (totleid=tid) WHERE eat_date&gt;=CONVERT(datetime,'"&amp;the_date&amp;"') AND eat_date&lt;DATEADD(month,1,CONVERT(datetime,'"&amp;the_date&amp;"')) GROUP BY c_id</p>
<p>　　想象一下，如果不用这个冗余表，每次统计每人每月的餐费总帐时会多麻烦，程序效率也够呛。那么，到底什么时候可以增加一定的冗余数据呢？我认为有2个原则：</p>
<p>　　１、用户的整体需求。当用户更多的关注于，对数据库的规范记录按一定的算法进行处理后，再列出的数据。如果该算法可以直接利用后台数据库系统的内嵌函数来完成，此时可以适当的增加冗余字段，甚至冗余表来保存这些经过算法处理后的数据。要知道，对于大批量数据的查询，修改或删除，后台数据库系统的效率远远高于我们自己编写的代码。<br />　　２、简化开发的复杂度。现代软件开发，实现同样的功能，方法有很多。尽管不必要求程序员精通绝大部分的开发工具和平台，但是还是需要了解哪种方法搭配哪种开发工具的程序更简洁，效率更高一些。冗余数据的本质就是用空间换时间，尤其是目前硬件的发展远远高于软件，所以适当的冗余是可以接受的。不过我还是在最后再强调一下：不要过多的依赖平台和开发工具的特性来简化开发，这个度要是没把握好的话，后期维护升级会栽大跟头的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 14:20:37</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e6%89%b9%e9%87%8f/" title="批量">批量</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e5%90%8d%e7%a7%b0/" title="名称">名称</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%af%86/" title="标识">标识</a>, <a href="https://www.iamivan.net/tag/%e9%87%8d%e5%a4%8d/" title="重复">重复</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%af%86id/" title="标识id">标识id</a>, <a href="https://www.iamivan.net/tag/mybatis%e6%89%b9%e9%87%8f%e6%b7%bb%e5%8a%a0%e4%b8%bb%e9%94%ae/" title="mybatis批量添加主键">mybatis批量添加主键</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e9%94%ae%e9%87%8d%e5%a4%8d/" title="主键重复">主键重复</a>, <a href="https://www.iamivan.net/tag/%e6%97%a0%e9%87%8d%e5%a4%8d/" title="无重复">无重复</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅谈数据库设计技巧(下)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyEK8M.html" rel="bookmark">浅谈数据库设计技巧&lpar;下&rpar;&period;txt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧|设计|数据|数据库|数据库设计 三.多用户及其权限管理的设计 开发数据库管理类的软件,不可能不考虑多用户和用户权限设置的问题.尽管目前市面上的大.中型的后台数据库系统软件都提供了多用户,以及细至某个数据库内某张表的权限设置的功能,我个人建议:一套成熟的数据库管理软件,还是应该自行设计用户管理这块功能,原因有二: 1.那些大.中型后台数据库系统软件所提供的多用户及其权限设置都是针对数据库的共有属性,并不一定能完全满足某些特例的需求: 2.不要过多的依赖后台数据库系统软件的某些特殊功能,多种大			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3jLKgz.html" rel="bookmark">浅谈数据库设计技巧&lpar;下&rpar;（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				三.多用户及其权限管理的设计 开发数据库管理类的软件,不可能不考虑多用户和用户权限设置的问题.尽管目前市面上的大.中型的后台数据库系统软件都提供了多用户,以及细至某个数据库内某张表的权限设置的功能,我个人建议:一套成熟的数据库管理软件,还是应该自行设计用户管理这块功能,原因有二: 1.那些大.中型后台数据库系统软件所提供的多用户及其权限设置都是针对数据库的共有属性,并不一定能完全满足某些特例的需求: 2.不要过多的依赖后台数据库系统软件的某些特殊功能,多种大.中型后台数据库系统软件之间并不完全兼			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO9Nj9M.html" rel="bookmark">浅谈数据库设计技巧&lpar;上&rpar;（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转一篇他人写的数据库设计技巧,感觉也不一定都正确,开拓一下思路吧. 说到数据库,我认为不能不先谈数据结构.1996年,在我初入大学学习计算机编程时,当时的老师就告诉我们说:计算机程序＝数据结构+算法.尽管现在的程序开发已由面向过程为主逐步过渡到面向对象为主,但我还是深深赞同8年前老师的告诉我们的公式:计算机程序＝数据结构+算法.面向对象的程序开发,要做的第一件事就是,先分析整个程序中需处理的数据,从中提取出抽象模板,以这个抽象模板设计类,再在其中逐步添加处理其数据的函数(即算法),最后,再给类中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq3Gaz.html" rel="bookmark">浅谈数据库设计技巧&lpar;上&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧|设计|数据|数据库|数据库设计 说到数据库,我认为不能不先谈数据结构.1996年,在我初入大学学习计算机编程时,当时的老师就告诉我们说:计算机程序＝数据结构+算法.尽管现在的程序开发已由面向过程为主逐步过渡到面向对象为主,但我还是深深赞同8年前老师的告诉我们的公式:计算机程序＝数据结构+算法.面向对象的程序开发,要做的第一件事就是,先分析整个程序中需处理的数据,从中提取出抽象模板,以这个抽象模板设计类,再在其中逐步添加处理其数据的函数(即算法),最后,再给类中的数据成员和函数划分访问权限,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4620p.html" rel="bookmark">浅谈数据库设计技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说到数据库,我认为不能不先谈数据结构.1996年,在我初入大学学习计算机编程时,当时的老师就告诉我们说:计算机程序＝数据结构+算法.尽管现在的程序开发已由面向过程为主逐步过渡到面向对象为主,但我还是深深赞同8年前老师的告诉我们的公式:计算机程序＝数据结构+算法.面向对象的程序开发,要做的第一件事就是,先分析整个程序中需处理的数据,从中提取出抽象模板,以这个抽象模板设计类,再在其中逐步添加处理其数据的函数(即算法),最后,再给类中的数据成员和函数划分访问权限,从而实现封装. 数据库的最初雏形据说源			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwld9Rb.html" rel="bookmark">浅谈网页设计技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  首先我们需要了解一下网站的页面组成,网站一般包括以下几部分: 首页:网站的门面,如同公司的形象,特别注重设计和规划. 框架页:网站的主要结构页面,又称次首页.内页,大型网站往往框架页即首页,如一些门户网站.框架页主要是网站内部主要栏目的首页,讲究风格的一致性,并于主页呼应. 普通页:网站主要的承载信息的页面,设计要求不高,但要求链接准确.文字无误.图文并茂,并沿袭网页的风格. 弹出页:一般用于广告.新闻.消息.到其他网站的链接等等,一般用的很少. 通过上面的分析,我们可以看出: 从功能上来看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z447QYz.html" rel="bookmark">数据库设计技巧&lbrack;转&rsqb;&lowbar;数据库其它</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 原始单据与实体之间的关系 可以是一对一.一对多.多对多的关系.在一般情况下,它们是一对一的关系:即一张原始单据对应且只对应一个实体.在特殊情况下,它们可能是一对多或多对一的关系,即一张原始单证对应多个实体,或多张原始单证对应一个实体.这里的实体可以理解为基本表.明确这种对应关系后,对我们设计录入界面大有好处. [例1]:一份员工履历资料,在人力资源信息系统中,就对应三个基本表:员工基本情况表.社会关系表.工作简历表.这就是&quot;一张原始单证对应多个实体&quot;的典型例子. 2. 主键与外键			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgwN31M.html" rel="bookmark">浅谈软件项目管理环境下的质量管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浅谈软件项目管理环境下的质量管理 摘要:软件项目管理是为了使软件项目能够按照预定的成本.进度.质量顺利完成,而对成本.人员.进度.质量.风险等进行分析和管理的活动.软件项目的质量管理就是产出的软件,满足客户明确需求.隐含需求的能力的所有特性.在现实生活中,监控所有对质量有影响的关键点,采用有效的测量手段来管理软件的质量,从而实现软件项目的&quot;高&quot;质量.使软件项目管理较之其他项目管理而言有其特殊性.采用CMM标准可以确保软件项目的质量,CMM是美国卡纳基梅隆大学软件工程研究所提出的软件研发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMq1eRM.html" rel="bookmark">数据库设计技巧&lpar;三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧|设计|数据|数据库|数据库设计 作者:allsky 在定义第四个正规化的形式前,我想首先提一下三种基本的数据关系:一对一,一对多和多对多.我们回头看一下经过第一个正规化的users表.要是我们将url的字段放在一个独立的表中,每次在users表中插入一个记录,我们就会在urls表中插入一行.我们将得到一个一对一的关系:用户表中的每一行,都将在urls表中找到相应的一行.对于我们的应用来 说,这既不实用也不标准. 然后看看第二个正规化的例子.对于每个用户记录,我们的表格允许有多个urls的记			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5x0aM.html" rel="bookmark" class="title">10个有用的界面设计的网络应用程序</a>
					<div>
						 近年来,越来越多的桌面应用程序移植到互联网上面的.没有了平台限制和安装要求且作为一种服务模式的软件看起来很吸引人的.网络应用程序界面设计的核心是网页设计:但是,它的焦点主要集中在功能上面.为了和桌面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNWv7p.html" rel="bookmark" class="title">与大家一起探讨关于404错误页面设置的问题</a>
					<div>
						什么是错误页面?是指链接指向的网页现在失效了,原因可能是用户输错了地址,也可能是网站结构调整,内容删除,或者地址变更都有可能出现这种情况.那么如何去处理这种情况呢?方法是单独设计一个404页面. 40 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk27qwM.html" rel="bookmark" class="title">阿利谈安全之与病毒wupdate&period;exe的斗争</a>
					<div>
						近来,我们这里有一个病毒文件流传的很快.文件名是wupdate.exe,用了多种更新病毒定义码的杀毒软件都查不出它有什么问题.可是有这个文件的系统,会出很多奇怪的现象,比如网络共享不可用,很多客户端软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLmBYb.html" rel="bookmark" class="title">用BCB5的打包程序打包BCB6</a>
					<div>
						当我们用BCB做好了一个程序后,下一步要做的就的打包程序,发布给用户了.单从打包程序的角度来讲,我们的选择会有很多,就BCB来说,每个版本的BCB光盘上都有一个打包程序,对于这些打包程序,我只用过BC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKoG5M.html" rel="bookmark" class="title">WCF中的自定义集合</a>
					<div>
						WCF Tips之一 集合元素类的定义如下: public enum FileType { TXT,DOC,HTML,OTHER } [DataContract] public class Docum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P3XjM.html" rel="bookmark" class="title">让PPT文档保存时自动压缩图片</a>
					<div>
						尤其是在PPT演示文稿中,大家都喜欢追求图文并茂而当文档中有大量图片时.文档的个头就小不了此时.该如何有效控制文档的大小呢,以下就是让文档自动&quot;减肥&quot;的两个方法保存时自动压编图片为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91833M.html" rel="bookmark" class="title">在PPT中插入视频播放的方法</a>
					<div>
						  1.支持的视频格式如下: 2.新建一个块,或者选择一个,右键,选择动作设置,选择运行程序 3.放上你的播放器的路径 并且空一格,后面放上视频文件的完整名称就可以了 注意:播放器要在机器上有,最好是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd78qM.html" rel="bookmark" class="title">如何实现Windows8&period;1 Update磁盘空间的快速访问</a>
					<div>
						  轻松实现windows8.1 update磁盘空间的快速访问: 1.在空白桌面右键,新建快捷方式 2.在对象位置输入如下路径: 简体中文系统: %localappdata%Packageswind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EQ0rM.html" rel="bookmark" class="title">PHP中从一页面重定向到另外一页面办法</a>
					<div>
						PHP中从一个页面重定向到另外一个页面三种办法,供参考. 一.用HTTP头信息 也就是用PHP的HEADER函数.PHP里的HEADER函数的作用就是向浏览器发出由HTTP协议规定的本来应该通过WEB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNJrQM.html" rel="bookmark" class="title">ios-不知道我的iphone能不能用retina</a>
					<div>
						问题描述 不知道我的iphone能不能用retina 在iphone5中测试应用. 复制了一张图片,名为image1.png 和 image1@2x.png,在iphone5中实验,部分代码: UII ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAEyeM.html" rel="bookmark" class="title">python学习-Python socket 聊天器</a>
					<div>
						问题描述 Python socket 聊天器 用python做一个多用户的聊天器.就是指一个服务器,然后不同的电脑上开启客户端,都能连接,还可以互相传递消息.但是现在的问题是都能连接上,但相互之间不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo1o7b.html" rel="bookmark" class="title">国外研究员利用传感器解决铆接件周期性&OpenCurlyDoubleQuote;微动磨损&rdquo;</a>
					<div>
						来自美国海军研究实验室(NRL)光学科学部与材料科学部的研究人员合作,成功地使用分布式反馈光纤激光声发射传感器检测出了铆接搭接接头中裂纹产生的声发射信号.这种嵌入式的传感器可以用于解决铆接件周期性&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32KGAz.html" rel="bookmark" class="title">JAVA8新特性</a>
					<div>
						总结提高,与君共勉 上次在一个同学的面经看到,被问到了JAVA8新特性,这个总结不好,转载一篇神文,一起来了解了解 本教程将Java8的新特新逐一列出,并将使用简单的代码示例来指导你如何使用默认接口方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR2qOb.html" rel="bookmark" class="title">Swift语言指南&lpar;十&rpar;--字符串与字符</a>
					<div>
						原文:Swift语言指南(十)--字符串与字符 字符串是一段字符的有序集合,如&quot;hellow,world&quot;或&quot;信天翁&quot;.Swift 中的字符串由 String  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRRgap.html" rel="bookmark" class="title">C&num;编程中，已知等差数列的首项，尾项和公差，求等差数列的没一项</a>
					<div>
						问题描述 这是我写的代码,语法没错误,但是运行起来总有无法处理的异常usingSystem;usingSystem.Collections.Generic;usingSystem.ComponentM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRVB7b.html" rel="bookmark" class="title">关停部分TD基站 中移动欲抗衡&OpenCurlyDoubleQuote;联通&plus;电信&rdquo;组合</a>
					<div>
						在4G迅猛发展的当下,&quot;中国移动计划大规模关停TD-SCDMA基站&quot;的消息可谓一石激起千层浪. 有媒体质疑称,TD基站建设仅仅5年就停止发展,是否意味着&quot;国产3G&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdReW6b.html" rel="bookmark" class="title">提防三招莫让微信变&OpenCurlyDoubleQuote;危信&rdquo;</a>
					<div>
						从新年开始,微信朋友圈就不断被各种各样的&quot;新年签&quot;刷屏,放眼望去,&quot;良缘&quot;&quot;断舍离&quot;&quot;任性&quot;真可谓五花八门,应有尽有.心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodVNEM.html" rel="bookmark" class="title">OSC 职位推荐：入职即提供Mac？这只是最基本的，还有。。。</a>
					<div>
						一不小心又到周五了,时间过得真快.每次小码哥在&quot;开源中国人才&quot;浏览职位信息,会想,虽然某些职位看起来高大上,但高大上没什么,重要的是能否逆袭成功.想到这里,我又忍不住感慨一句,梦想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYr9Vb.html" rel="bookmark" class="title">智能微模块构筑随需而动的智慧数据中心</a>
					<div>
						随着企业每年的IT投资增速日益加快,传统数据中心的建设模式正面临越来越多的挑战.首先,传统数据中心基础设施扩容的不灵活性,导致传统数据中心通常采用在规划阶段就一次性部署完成,造成初期投资大.负载率低. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrKD6p.html" rel="bookmark" class="title">MVC4制作网站教程第四章 浏览栏目4&period;2&lowbar;实用技巧</a>
					<div>
						序 一.用户 二.用户组 三.栏目 3.1添加栏目 3.2浏览栏目 浏览栏目这块做个一个树形列表,添加栏目的左侧部分只写了句&quot;左侧列表&quot;就是指这个树形列表,等我们写完替换一下就可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKONvM.html" rel="bookmark" class="title">佳能600D相机挂鱼眼镜头搭配推荐</a>
					<div>
						给各位摄影爱好者们来详细的解析分享一下佳能600D相机挂鱼眼镜头搭配. 解析分享: 建议购买佳能15mm的鱼眼镜头,这款鱼眼镜头的性价比很好.同时佳能15mm鱼眼镜头成像清晰度极高.鱼眼畸变效果极佳, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmw0qp.html" rel="bookmark" class="title">JavaScript注入漏洞的原理是什么 JavaScript漏洞怎么防范</a>
					<div>
						初次接触: 初次接触JavaScript注入漏洞后,如果不对这种漏洞的作用机理仔细分析并提取出其发生的某种模式,你就不能做到快速的发现项目中可能存在的所有注入风险并在代码中防范. 发生模式: Java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z449ejz.html" rel="bookmark" class="title">求助众位大神</a>
					<div>
						问题描述 packagecom.jdbc;importjava.sql.Connection;importjava.sql.DriverManager;importjava.sql.ResultSet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm8xNb.html" rel="bookmark" class="title">泰勒与吉伦哈尔恋情太过高调网友质疑炒作&lpar;图&rpar;</a>
					<div>
						泰勒-斯威夫特 泰勒-斯威夫特与杰克-吉伦哈尔 泰勒与吉伦哈尔的姐姐玛姬及玛姬的女儿 新浪娱乐讯 12月5日消息,据台湾媒体报道,美国&quot;国民小天后&quot;泰勒-斯威夫特(Taylor S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrv174M.html" rel="bookmark" class="title">《机器人爱好者（第2辑）》&mdash;&mdash;用什么样的机械手好</a>
					<div>
						用什么样的机械手好 我在一所中学担任机器人俱乐部教练,在俱乐部里,我们玩过多种VEX机器人,包括机械手套装,如图3所示.后来,同学们想进行一次机器人相扑比赛,一方是机器人班制造的乐高机器人,另一方是机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YqOvz.html" rel="bookmark" class="title">joomla数据库操作示例代码&lowbar;php实例</a>
					<div>
						本文实例讲述了joomla数据库操作的方法.分享给大家供大家参考,具体如下: 1.jTable $row =&amp; JTable::getInstance('comment', 'Table'); ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2JxRqb.html" rel="bookmark" class="title">脸萌双人模式如何玩&quest;脸萌双人模式怎么使用？</a>
					<div>
						1)我们先把软件升级到最新版本之后点击MYOTee脸萌,进入之后你会看到有一个[双人模式]我们点击它进入.    2)之后我们会看到有一个搭配模式,有情侣.姐妹.兄弟模式,在拼凑页面,点击哪个人物就对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLnXjp.html" rel="bookmark" class="title">&lbrack;汶川地震一周年&amp;amp&semi;amp&semi;nbsp&semi;我们都是汶川人！&hellip;</a>
					<div>
						下个星期二,五月十二日,5-12.2008年的那天,汶川大地震,天好像塌了似的. 那时,我在上高二.我看到全国的人民都向汶川伸出援助之手,很多人去当志愿者,电视台的新闻一天二十四小时不停的有新闻.我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjEqnmz.html" rel="bookmark" class="title">jQuery事件处理的特征&lpar;事件命名机制&rpar;&lowbar;jquery</a>
					<div>
						JQuery中的bind()和unbind(),提供了事件的绑定和取消机制,既可以绑定html默认支持的事件,也能够绑定自定义的事件.JQuery支持自定义事件,这显然给编程带来了极大的灵活性.下面就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG30n3z.html" rel="bookmark" class="title">电子书平台恐遭新年寒流 体验差价格高难被接受</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 继去年12月当当网高调上线电子书平台后,京东商城近日也宣布上线电子书频道.加上此前已经上线的汉王书城和云中书城等,国内电子书平台已经超过4家.尽管来势汹 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
